package com.atmob.keyboard_android.util.bridge.model.resp

import java.io.Serializable

/**
 * 获取开场白列表的响应体
 */
data class PrologueListResp(
    /**
     * 开场白列表
     */
    val prologues: List<PrologueListItem>? = null
) : Serializable {
    data class PrologueListItem(
        /**
         * 分组标题
         */
        val title: String,
        /**
         * 话题列表
         */
        val topics: List<Topic>,
    ) : Serializable

    /**
     * 话题实体类
     */
    data class Topic(
        /**
         * 话题名称
         */
        val name: String
    ) : Serializable
}